POST checks/generic/{checkId}/results
Gets generic check results in json format.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.
Request example and description
curl --request POST "https://api-asm2.apica.io/v3/checks/generic/12345/results?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
\"filter\": {
\"range\": {
\"mostrecent\": 10,
\"milliseconds_utc\": [
1376980667000,
1376980667001
],
\"period\": {
\"from_utc\": \"2013-08-20T13:32:08\",
\"to_utc\": \"2013-08-21T13:32:08\"
},
\"result_ids\": [
\"fcd1f40e-7b79-4edc-927d-1d26d38b44b8\",
\"e87f4e2b-affb-4d44-8dc6-d9058d0ae8f3\",
\"20c2b55e-007d-4209-adb0-f369c0b9c7d9\"
]
}
}
}"
| Name | Type | Required | Description |
|---|---|---|---|
| filter | Object | Yes |
The filter section defines the criteria for selecting the check results. |
| range | Object | Yes |
This section allows to define the aggregate range of the results by combining different filters. It must contain at least one filter. |
| mostrecent | Integer | No |
Number of most recent results. |
| milliseconds_utc | Array | No |
Array of timestamps associated with results. Each item is represented by a UNIX Epoch timestamp (milliseconds after 1970). |
| period | Object | No |
The period section defines the date range to obtain results for. |
| from_utc | DateTime | Yes |
Starting timestamp (in UTC) for the date range. |
| to_utc | DateTime | Yes |
Ending timestamp (in UTC) for the date range. |
| result_ids | Array | No |
Array of result identifiers to specific results. |
Response body model example and description
{
"check_id": 1,
"check_results": [
{
"attempts": 1,
"result_code": 1,
"timestamp_utc": "2026-06-21T14:07:45",
"severity": "sample string 3",
"value": 1,
"resultId": "a9add625-7888-4f4b-9697-8f90fdfab08e",
"result": {}
},
{
"attempts": 1,
"result_code": 1,
"timestamp_utc": "2026-06-21T14:07:45",
"severity": "sample string 3",
"value": 1,
"resultId": "0e57190b-61e9-4bb1-9b34-24eabc00af14",
"result": {}
},
{
"attempts": 1,
"result_code": 1,
"timestamp_utc": "2026-06-21T14:07:45",
"severity": "sample string 3",
"value": 1,
"resultId": "eb2e5ae0-046d-416d-b121-7627188a35a9",
"result": {}
}
]
}
| Name | Type | Description |
|---|---|---|
| check_id | Integer |
The check identifier. |
| check_results | Array |
Check results. |
| attempts | Integer |
The number of attempts. |
| result_code | Integer |
The result code. |
| timestamp_utc | DateTime |
The result timestamp in UTC. |
| severity | String |
The result severity. |
| value | Integer |
The result value. |
| resultId | Guid |
The result identifier. |
| result | Object |
The custom result data in json format. |